Bug Hunting Session
Bug 52296 - Write to the %WINDIR%
Summary: Write to the %WINDIR%
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-20 09:35 UTC by Andras Timar
Modified: 2012-09-08 21:55 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-07-20 09:35:23 UTC
Warning: Writing to Windows directory, and or root directories test detected the following errors:

◦File C:\Windows\ShellNew\soffice.odt was written to an incorrect location.
◦File C:\Windows\ShellNew\soffice.ods was written to an incorrect location.
◦File C:\Windows\ShellNew\soffice.odp was written to an incorrect location.
◦File C:\Windows\ShellNew\soffice.odg was written to an incorrect location.


Impact if not fixed:  Apps mustn’t store data in system folders, such as %SystemDrive% or %WinDir%. Storing app and user data in a system folder can cause access and security problems for the user. Using the Known Folder APIs ensures that you are always able to get to your data. 

How to fix:  Write the files to the correct folders. See link below for more information: 
Working with Known Folders
http://msdn.microsoft.com/en-us/library/bb762584(VS.85).aspx
Comment 1 Urmas 2012-07-28 23:08:05 UTC
These files are unneeded there, as they are also copied into proper locations.
Comment 2 Urmas 2012-08-24 08:13:58 UTC
So is there any reason to copy them there?
Comment 3 Not Assigned 2012-09-08 19:14:24 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=700301a9ab256bd10d831f77bf7e4750e07670a0

fdo#52296 put ShellNew files to program's folder



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.